Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84116 - db4 need a patch to compile Python bindings
Summary: db4 need a patch to compile Python bindings
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: db4
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-12 14:19 UTC by Need Real Name
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-14 04:15:57 UTC


Attachments (Terms of Use)
db-4014-patch.txt (deleted)
2003-02-12 14:19 UTC, Need Real Name
no flags Details | Diff

Description Need Real Name 2003-02-12 14:19:11 UTC
The db-4014-patch.txt from bsddb3-4.1.3 distribution is needed to compile python
binding correctly (successful python test.py).

Without this patch, some useful software like Straw (the GNOME 2 Desktop news
aggregator http://www.nongnu.org/straw) can't work because of the python binding
requirement.

After a rebuild of db4-4.0.14-20.src.rpm with this patch, I successfully build
bsddb3-4.1.3 and launch the news aggregator.

Please apply this small patch.

TIA

Comment 1 Need Real Name 2003-02-12 14:19:59 UTC
Created attachment 90032 [details]
db-4014-patch.txt

Comment 2 Need Real Name 2003-02-12 14:26:14 UTC
Additionaly to this, but related to Straw itself, I need to rebuild pygtk2 with
./configure --enable-thread to be able to launch Straw.

So my question: is it possible to modify your pygtk2 package to add this
autoconf option?

Comment 3 Jeff Johnson 2004-11-14 04:15:57 UTC
bsddb is now integrated with python, and there have been
several releases of Berkeley DB since 4.0.14, so presumably
the patch (or equivalent) has already been incorprorated.

If that is not the case, please reopen the bug and reassign
to pygtk2 so that I can get confirmation whether a change
to Berkely DB is actually needed.


Note You need to log in before you can comment on or make changes to this bug.